Subject: Setting 'zdiff3' in global gitconfig causes guix pull to fail

From: [email-masked]
Date: Sun, 1 Sep 2024 20:14:36 +0200

A minimal log:

hint: Consider installing the `glibc-locales' package and defining 
`GUIX_LOCPATH', along these lines: guix install glibc-locales export 
GUIX_LOCPATH="$HOME/.guix-profile/lib/locale" See the "Application 
Setup" section in the manual, for more info. Updating channel 'guix' 
from Git repository at 'https://git.savannah.gnu.org/git/guix.git'... 
receiving objects 34% [################################# ] indexing 
objects 31% [############################### ] guix pull: error: Git 
error: unknown style 'zdiff3' given for 'merge.conflictstyle'